/*-----------------------------------------------------------------------+
| Doom Runner: A cross-platform GUI frontend for Doom.                   |
| Copyright (C) 2011 Nick Virag                                          |
+------------------------------------------------------------------------+
| This program is free software: you can redistribute it and/or modify   |
| it under the terms of the GNU General Public License as published by   |
| the Free Software Foundation, either version 3 of the License, or      |
| any later version.                                                     |
+------------------------------------------------------------------------+
| This program is distributed in the hope that it will be useful,        |
| but WITHOUT ANY WARRANTY; without even the implied warranty of         |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
| GNU General Public License for more details.                           |
+------------------------------------------------------------------------+
| You should have received a copy of the GNU General Public License      |
| along with this program.  If not, see <http://www.gnu.org/licenses/>.  |
+------------------------------------------------------------------------+
| Contact Nick Virag at: <nick@win31.net>, <support@retronuggetdev.com>, |
| or <nickel516@gmail.com>.                                              |
+-----------------------------------------------------------------------*/

#ifndef ADDNEWFILE_H
#define	ADDNEWFILE_H

#include <QtGui/QWidget>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>

class QLabel;
class QLineEdit;
class addnewfile : public QWidget

{
    Q_OBJECT
public:
    addnewfile();

public slots:
    void okclick();
    void cancelclick ();

private:
    QLineEdit *gamename;
    QLineEdit *gamenotes;
};

#endif