#!/bin/bash
PATH=$PATH:~/pandora-dev/sdk_utils
export PATH
echo -e "0\n1\n0\n1\n1\n0\n1\n" > ./profiles/profile0.txt
mkdir ./temp
cp -r ./pandora/* ./temp
cp ./DoomRunner ./temp
mkdir ./temp/files/wads
mkdir ./temp/files/profiles
cp -r ./wads/* ./temp/files/wads
cp -r ./profiles/* ./temp/files/profiles
cp ./doc/documentation.html ./temp
cp ./doc/gpl-3.0.txt ./temp
echo -e "Doom (Shareware)\nThis is the shareware level pack for Doom I.\ndefault\ndef-prboom\ninvalid\ninvalid\nDoom1\n<none>\n<none>\n<none>\n<none>\n<none>\n<none>\n<none>\n<none>\n<music>\n<sound>\ntrue\n800\n480\n<mouse>\n<nojoystick>\n<none>" > ./temp/files/profiles/profile1.txt
echo -e "FreeDoom\nA new, open-source level pack alternative.\ndefault\ndef-prboom\ninvalid\ninvalid\nFreedoom\n<none>\n<none>\n<none>\n<none>\n<none>\n<none>\n<none>\n<none>\n<music>\n<sound>\ntrue\n800\n480\n<mouse>\n<nojoystick>\n<none>" > ./temp/files/profiles/profile2.txt
echo -e "\n\n\n\n./doomlegacy" > ./temp/files/profiles/profilesp.txt
if [ ! -e "./wads/iwads/Doom1.wad" ]; then
	doom1wadf=true
else
	doom1wadf=false
fi
if [ ! -e "./wads/iwads/Freedoom.wad" ]; then
	freedoomwadf=true
else
	freedoomwadf=false
fi
if $doom1wadf ; then
	if $freedoomwadf ; then
		outputstring=$outputstring+"\nFor the two default profiles to work, you must find \"Doom1.wad\" and \"Freedoom.wad\" and place them in \"./dist/files/wads/iwads\" and re-run this script."
	else
		outputstring=$outputstring+"\nFor the two default profiles to work, you must find \"Doom1.wad\" and place it in \"./dist/files/wads/iwads\" and re-run this script."
	fi
else
	if $freedoomwadf ; then
		outputstring=$outputstring+"\nFor the two default profiles to work, you must find \"Freedoom.wad\" and place it in \"./dist/files/wads/iwads\" and re-run this script."
	fi
fi
echo -e $outputstring
pnd_make.sh -p ./doomrunner.pnd -d ./temp -x ./temp/PXML.xml -i ./temp/doomrunner.png -c
mv ./doomrunner.pnd ./dist/DoomRunner.pnd
rm -r ./temp/*
rmdir ./temp
