#!/bin/bash
echo -e "0\n0\n0\n1\n0\n0\n0\n" > ./profiles/profile0.txt
mkdir ./DoomRunner.app/Contents/MacOS/profiles
mkdir ./DoomRunner.app/Contents/MacOS/wads
cp -r ./profiles/* ./DoomRunner.app/Contents/MacOS/profiles
cp -r ./wads/* ./DoomRunner.app/Contents/MacOS/wads
cp ./mac/Info.plist ./DoomRunner.app/Contents/Info.plist
cp ./mac/logo.icns ./DoomRunner.app/Contents/Resources/logo.icns
macdeployqt ./DoomRunner.app
if [ ! -d "./mac/PrBoom.app" ]; then
	outputstring="\nTo use the default engine (PrBoom) with DoomRunner, you must also install PrBoom separately. Find PrBoom at http://prboom.sourceforge.net/ and copy the files inside \"PrBoom.app\" into their respective directories inside \"DoomRunner.app\"."
else
	outputstring="\n"
	cp ./mac/PrBoom.app/Contents/Resources/prboom.wad ./DoomRunner.app/Contents/Resources/prboom.wad
	cp ./mac/PrBoom.app/Contents/MacOS/PrBoom ./DoomRunner.app/Contents/MacOS/PrBoom
	cp ./mac/PrBoom.app/Contents/MacOS/Server ./DoomRunner.app/Contents/MacOS/Server
	cp -r ./mac/PrBoom.app/Contents/Frameworks/SDL_net.framework ./DoomRunner.app/Contents/Frameworks
	cp -r ./mac/PrBoom.app/Contents/Frameworks/SDL.framework ./DoomRunner.app/Contents/Frameworks
fi
if [ ! -e "./wads/iwads/Doom1.wad" ]; then
	doom1wadf=true
else
	doom1wadf=false
fi
if [ ! -e "./wads/iwads/Freedoom.wad" ]; then
	freedoomwadf=true
else
	freedoomwadf=false
fi
if $doom1wadf ; then
	if $freedoomwadf ; then
		outputstring=$outputstring+"\nFor the two default profiles to work, you must find \"Doom1.wad\" and \"Freedoom.wad\" and place them in \"./dist/DoomRunner.app/Contents/MacOS/wads/iwads\"."
	else
		outputstring=$outputstring+"\nFor the two default profiles to work, you must find \"Doom1.wad\" and place it in \"./dist/DoomRunner.app/Contents/MacOS/wads/iwads\"."
	fi
else
	if $freedoomwadf ; then
		outputstring=$outputstring+"\nFor the two default profiles to work, you must find \"Freedoom.wad\" and place it in \"./dist/DoomRunner.app/Contents/MacOS/wads/iwads\"."
	fi
fi
mv ./DoomRunner.app ./dist/DoomRunner.app
echo -e $outputstring
