#!/bin/bash
echo -e "0\n0\n0\n1\n0\n1\n0\n" > ./profiles/profile0.txt
mkdir ./dist/profiles
mkdir ./dist/wads
cp -r ./profiles/* ./dist/profiles
cp -r ./wads/* ./dist/wads
if [ ! -e "./wads/iwads/Doom1.wad" ]; then
	doom1wadf=true
else
	doom1wadf=false
fi
if [ ! -e "./wads/iwads/Freedoom.wad" ]; then
	freedoomwadf=true
else
	freedoomwadf=false
fi
if $doom1wadf ; then
	if $freedoomwadf ; then
		outputstring=$outputstring+"\nFor the two default profiles to work, you must find \"Doom1.wad\" and \"Freedoom.wad\" and place them in \"./dist/wads/iwads\"."
	else
		outputstring=$outputstring+"\nFor the two default profiles to work, you must find \"Doom1.wad\" and place it in \"./dist/wads/iwads\"."
	fi
else
	if $freedoomwadf ; then
		outputstring=$outputstring+"\nFor the two default profiles to work, you must find \"Freedoom.wad\" and place it in \"./dist/wads/iwads\"."
	fi
fi
mv ./DoomRunner ./dist/DoomRunner
echo -e $outputstring
