#!/bin/sh
export LD_LIBRARY_PATH=.:${LD_LIBRARY_PATH}
if [ ! -e "./prboom.cfg" ]; then
	notify-send 'This is your first time running DoomRunner. It may take a while to start.'
fi
if [ -e "./profiles/noglobal.txt" ]; then
	rm ./profiles/noglobal.txt
	rm ./profiles/profile0.txt
fi
cp -r --no-clobber files/.* .
cp -r --no-clobber files/* .
if [ ! -e "./.prboom/prboom.cfg" ]; then
	mkdir ./.prboom
	cp ./prboom.cfg ./.prboom/prboom.cfg
fi
if [ ! -e "./.legacy/glconfig.cfg" ]; then
	mkdir ./.legacy
	cp ./glconfig.cfg ./.legacy/glconfig.cfg
fi
./DoomRunner
